Bug 519339

Summary: init scripts return non-standard exit codes on "service ... status"
Product: [Fedora] Fedora Reporter: Nils Philippsen <nphilipp>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: dkovalsk, steved, ykopkova
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://fedoraproject.org/wiki/Packaging:SysVInitScript#Exit_Codes_for_the_Status_Action
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 596039 (view as bug list) Environment:
Last Closed: 2011-06-03 13:03:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 521669, 596039    

Description Nils Philippsen 2009-08-26 04:58:13 EDT
Description of problem:
The init scripts contained in nfs-utils may return exit codes that aren't LSB conformant. E.g. if SECURE_NFS != "yes", "service rpcgssd status" has an exit code of "6" (which is reserved for future use) instead of "3" (which would mean "program is not running"). Therefore, system-config-services lists the status of such services as "unknown" instead of "not running.

Version-Release number of selected component (if applicable):
nfs-utils-1.2.0-10.fc12.x86_64
Comment 1 Bug Zapper 2009-11-16 06:41:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Steve Dickson 2010-07-13 14:55:58 EDT
Fixed in nfs-utils-1.2.2-3.fc13
Comment 4 Bug Zapper 2011-06-02 13:48:07 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping